# Test: Missing menu field
# Expected: FAIL
# Error code: invalid_type
# Error path: agent.menu
# Error expected: array

agent:
  metadata:
    id: missing-menu
    name: Missing Menu
    title: Missing Menu
    icon: ❌
    hasSidecar: false

  persona:
    role: Test agent
    identity: Test identity
    communication_style: Test style
    principles:
      - Test principle
